FROM ubuntu:focal
MAINTAINER Richard Morgan <r_morgan@sympatico.ca>

WORKDIR /opt/project

EXPOSE 80

RUN apt-get update && apt-get install -y \
    wget \
    \
  && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*


ARG script_dir=/usr/local/bin/acme-nginx
RUN wget https://github.com/kshcherban/acme-nginx/releases/download/v0.1.2/acme-nginx \
  -O ${script_dir}
RUN chmod +x ${script_dir}

ENV TERM=xterm
ENTRYPOINT ["/usr/local/bin/acme-nginx"]
